require_relative 'objectstore_error'

module UuAppObjectStore
  module Error
    # Revision of given UuObject is lower than its value in database
    class InvalidRevision < ObjectStoreError


      DEFAULT_CODE = 'uu-app-objectstore/invalidRevision'
      DEFAULT_MESSAGE = 'Used value of revision attribute is lower than its value in database.'


    end
  end
end