module UuAppObjectStore
  module Error
    class ObjectStoreError < RuntimeError

      DEFAULT_CODE = 'uu-app-objectstore/ObjectStoreError'
      DEFAULT_MESSAGE = 'Unexpected error occurred during operation execution.'

      attr_reader :code

      def initialize(message = self.class::DEFAULT_MESSAGE, code = self.class::DEFAULT_CODE)
        @code = code
        super(message)
      end
    end

    # @depracated
    ObjectStoreException = ObjectStoreError
  end
end