require_relative 'objectstore_error'
module UuAppObjectStore
  module Error
    # Violating index uniqueness
    class DuplicateKey < ObjectStoreError


      DEFAULT_CODE = 'uu-app-objectstore/duplicateKey'
      DEFAULT_MESSAGE = 'UuObject attributes violate index uniqueness.'


    end
  end
end